﻿using StatisticsService.Database.Models;
using StatisticsService.Dto;

namespace StatisticsService.Api.Extensions.MappingExtensions
{
    public static class StatisticsMappingExtensions
    {
        public static StatisticsDto ToStatisticsDto(this AggregatedEventBase e){
            return new StatisticsDto(e.TopicId, e.EventType, e.EventTime, (int)e.Count, (int)e.EventCount, null);
        }
        public static UserDto ToUserDto(this User user)
        {
            return new UserDto(user.Id, user.Name, user.ResourceId, user.Timestamp);
        }
    }
}