﻿using Newtonsoft.Json;
using System.Collections.Generic;

namespace StatisticsService.Api.Models
{
    public class ZarResponse<TItem> where TItem : class
    {
        [JsonProperty("_metadata")]
        public Dictionary<string, object> Metadata { get; set; }
        public IEnumerable<TItem> Items { get; set; }
        public IList<dynamic> Links { get; set; }
    }
}
