﻿using System;

namespace StatisticsService.Api.Workers
{
    public interface IScheduleConfig<T>
    {
        string CronExpression { get; set; }
        TimeZoneInfo TimeZone { get; set; }
        string[] Schedules { get; set; }
    }

    public class ScheduleConfig<T> : IScheduleConfig<T>
    {
        public string CronExpression { get; set; }
        public string[] Schedules { get; set; }
        public TimeZoneInfo TimeZone { get; set; }
    }
}
