﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.ModelBinding;
using StatisticsService.Interfaces.Filters;

namespace StatisticsService.Domain.Filters
{
    public class BaseFilterRID : BaseFilter, IBaseFilter, IResourceFilter
    {
        /// <summary>
        /// ID of resource to filter by
        /// </summary>
        [FromRoute]
        [BindRequired]
        public string ResourceId { get; set; }

        /// <summary>
        /// Type of given resourceId
        /// </summary>
        [BindRequired]
        public string ResourceType { get; set; }

        public BaseFilterRID() : base() { }

    }
}
