﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetActiveClientsQuery : IRequest<ActiveResourceDto>
    {
        public BaseFilter Filter { get; set; }
        public GetActiveClientsQuery(BaseFilter filter)
        {
            Filter = filter;
        }
    }
}
