﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetActiveUsersByResourceIdQuery : IRequest<ActiveResourceDto>
    {
        public BaseFilterRID Filter { get; set; }

        public GetActiveUsersByResourceIdQuery(BaseFilterRID filter)
        {
            Filter = filter;
        }
    }
}