﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetAggregatedStatisticsQuery : IRequest<IEnumerable<AggregatedStatisticsDto>>
    {
        public StatisticsFilter Filter { get; set; }

        public GetAggregatedStatisticsQuery(StatisticsFilter filter)
        {
            Filter = filter;
        }
    }
}
