﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetUsersByResourceIdQuery : IRequest<IEnumerable<UserDto>>
    {
        public BaseFilterRID Filter { get; }

        public GetUsersByResourceIdQuery(BaseFilterRID filter)
        {
            Filter = filter;
        }
    }
}