﻿using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace StatisticsService.Interfaces.Repository
{
    public interface IAccountsRepository
    {
        Task<ActiveResourceDto> GetAllActiveAccounts(BaseFilter filter);
        Task<ActiveResourceDto> GetActiveAccountsByResourceId(BaseFilterRID filter);
    }
}
