﻿using StatisticsService.Domain;
using StatisticsService.Dto;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace StatisticsService.Interfaces.Repository
{
    public interface IResourcesRepository
    {
        Task<IEnumerable<ResourcesDto>> GetAllResourcesAsync(string resourceType);
        Task<IEnumerable<string>> GetResourceIds(string resourceType);
    }
}
