﻿using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace StatisticsService.Interfaces.Repository
{
    public interface IStatisticsRepository
    {
        Task<IEnumerable<StatisticsDto>> GetStatisticsByResource(StatisticsFilterRID filter);
        Task<IEnumerable<StatisticsDto>> GetStatistics(StatisticsFilter filter);
        Task<IEnumerable<AggregatedStatisticsDto>> GetAggregatedStatisticsByResource(StatisticsFilterRID filter);
        Task<IEnumerable<AggregatedStatisticsDto>> GetAggregatedStatistics(StatisticsFilter filter);
    }
}
