import { LoadingIndicator } from 'app/components/LoadingIndicator'
import { lazyLoad } from 'utils/loadable'

export const BankServiceCompanyPage = lazyLoad(
  () => import('./index'),
  module => module.BankServiceCompanyPage,
  {
    fallback: (
      <div className="container">
        <LoadingIndicator />
      </div>
    ),
  },
)
