export default interface TypeChartDataset {
  [key: string]: ChartDataset
}

interface ChartDataset {
  backgroundColor: string[] | string | any
  borderColor: string[] | string
  pointBorderWidth?: number
  pointRadius?: number
  pointHoverRadius?: number
  borderWidth?: number
  borderRadius?: number
  categoryPercentage?: number
  barPercentage?: number
  barThickness?: number
  pointBorderColor?: string
  pointBackgroundColor?: string
  pointHoverBorderColor?: string | any
  pointHoverBackgroundColor?: string | any
  fill?: string
}
