﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetActiveClientsByResourceIdQuery : IRequest<ActiveResourceDto>
    {
        public BaseFilterRID Filter { get; set; }
        public GetActiveClientsByResourceIdQuery(BaseFilterRID filter)
        {
            Filter = filter;
        }
    }
}
