﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetAllActiveUsersQuery : IRequest<ActiveResourceDto>
    {
        public BaseFilter Filter { get; set; }

        public GetAllActiveUsersQuery(BaseFilter filter)
        {
            Filter = filter;
        }
    }
}