﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetStatisticsByResourceQuery : IRequest<IEnumerable<StatisticsDto>>
    {
        public StatisticsFilterRID Filter { get; set; }

        public GetStatisticsByResourceQuery(StatisticsFilterRID filter)
        {
            Filter = filter;
        }
    }
}