﻿using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace StatisticsService.Interfaces.Repository
{
    public interface IClientsRepository
    {
        Task<ActiveResourceDto> GetAllActiveClients(BaseFilter filter);
        Task<ActiveResourceDto> GetActiveClientsByResourceId(BaseFilterRID filter);
    }
}
