import { Link } from 'react-router-dom'

import Logo from 'assets/images/brand/logo.svg'
import WhiteLogo from 'assets/images/brand/logo-white.svg'
import SmallLogo from 'assets/images/brand/logo-small.svg'
import SmallWhiteLogo from 'assets/images/brand/logo-small-white.svg'

export const LogoSection = () => {
  return (
    <Link to="/" className="header-brand1 d-flex justify-content-center">
      <img src={Logo} className="header-brand-img w-50 light-logo1" alt="logo" />
      <img src={WhiteLogo} className="header-brand-img w-50 desktop-logo" alt="logo" />
      <img src={SmallLogo} className="header-brand-img light-logo" alt="logo" />
      <img src={SmallWhiteLogo} className="header-brand-img toggle-logo" alt="logo" />
    </Link>
  )
}
