import ResourceType from 'shared/enums/resource-type.enum'

interface ResourceProperties {
  organizationNumber: string
  country: string
  address: string
  zipArea: string
  zipCode: string
  createdBy: string
  created: Date
}

export default interface Resource {
  id: string
  type: ResourceType
  name: string
  properties: ResourceProperties
  status: number
}
