import WidgetType from 'shared/enums/widget-type.enum'

/**
 * Interface that defines valid parameters for a call to the widget endpoints.
 */
export default interface WidgetParameters {
  resourceId?: string
  resourceType?: string
  widgetType: WidgetType
  from?: string
  to?: string
  take?: number
  skip?: number
}
