import { StateCreator } from 'zustand'

export interface IAuthSlice {
  accessToken: string
  setAccessToken: (accessToken: string) => void
}

export const createAuthSlice: StateCreator<IAuthSlice> = set => ({
  accessToken: '',
  setAccessToken: (accessToken: string): void => set({ accessToken }),
})
