import { User } from 'oidc-client-ts'

const ADMIN_ROLE = 'ZDataAdmin'

export const isAdmin = (user: User): boolean => {
  const roles = user?.profile.role as string[] | string
  return roles.includes(ADMIN_ROLE) || roles === ADMIN_ROLE
}
